#
# spec file for package libgcrypt (Version 1.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgpg-error libgpg-error-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libgcrypt
BuildRequires:  libgpg-error-devel
URL:            http://www.gnu.org/directory/Security/libgcrypt.html
Version:        1.2.2
Release:        13.2
Summary:        The GNU Crypto Library
License:        Other License(s), see package, GPL
Group:          Development/Libraries/C and C++
Autoreqprov:    on
Source:         %name-%version.tar.bz2
Patch0:         %name-ppc64.patch
Patch1:         libgcrypt-strict-aliasing.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
Libgcrypt is a general purpose crypto library based on the code used in
GnuPG (alpha version).



Authors:
--------
    Maintainer:	wk@g10code.com
    
    Authors: 	Werner Koch <wk@gnupg.org>
    		Matthew Skala <mskala@ansuz.sooke.bc.ca>
    		Michael Roth <mroth@nessie.de>
    		Niklas Hernaeus <nh@df.lth.se>
    		Rmi Guyomarch <rguyom@mail.dotcom.fr>
    		Timo Schulz <twoaday@freakmail.de>

%debug_package
%package devel
Summary:        The GNU Crypto Library
Group:          Development/Libraries/C and C++
Provides:       libgcrypt:/usr/include/gcrypt.h
Requires:       libgcrypt == %version, libgpg-error-devel

%description devel
Libgcrypt is a general purpose crypto library based on the code used in
GnuPG (alpha version).

This package contains needed files to compile and link against the
library.



Authors:
--------
    Maintainer:	wk@g10code.com
    
    Authors: 	Werner Koch <wk@gnupg.org>
    		Matthew Skala <mskala@ansuz.sooke.bc.ca>
    		Michael Roth <mroth@nessie.de>
    		Niklas Hernaeus <nh@df.lth.se>
    		Rmi Guyomarch <rguyom@mail.dotcom.fr>
    		Timo Schulz <twoaday@freakmail.de>

%prep
%setup -q -n libgcrypt-%version
%patch0 -p1
%patch1

%build
%{?suse_update_config}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} \
		--enable-noexecstack 
make 
# Nice idea. however this uses /dev/random, which hangs
# on hardware without random feeds.
# make check

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/gcrypt.info.gz

%postun
%run_ldconfig

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gcrypt.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING COPYING.LIB ChangeLog NEWS README THANKS TODO VERSION
%_libdir/libgcrypt*.so.*

%files devel
%defattr(-,root,root)
%doc %_infodir/gc*
%_bindir/*
%_libdir/libgcrypt*.so
%_libdir/libgcrypt*a
%_includedir/*
%_datadir/aclocal/*

%changelog -n libgcrypt
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 02 2005 - hvogel@suse.de
- enable noexecstack
- build ac.c with fno-strict-aliasing
* Tue Oct 25 2005 - hvogel@suse.de
- update to version 1.2.2
* Thu Jun 23 2005 - hvogel@suse.de
- call install_info macro in post/postun of the devel package
- depend on libgcrypt
- add clean section
* Tue Jan 18 2005 - hvogel@suse.de
- update to version 1.2.1
* Tue Jan 11 2005 - schwab@suse.de
- Fix info dir entry.
* Wed Nov 17 2004 - hvogel@suse.de
- require libgpg-error-devel (Bug #48271)
- get rid of the NLD parts
* Wed Jul 14 2004 - adrian@suse.de
- create -devel subpackage
- prepare for nld
* Wed May 19 2004 - hvogel@suse.de
- update to version 1.2.0
* Mon Mar 22 2004 - meissner@suse.de
- disable make check, because it uses /dev/random whihc is
  not filled on some server machines.
* Wed Mar 17 2004 - meissner@suse.de
- fixed too over enthusiastic powerpc switches to make it work
  on ppc64. (It compiled before, but did not work).
- enabled make check.
* Wed Feb 18 2004 - kukuk@suse.de
- Build against system pthread library, not pth.
* Tue Feb 17 2004 - hvogel@suse.de
- update to version 1.1.91
- fix autoconf quotations
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig to %%postun
* Sun Jul 27 2003 - poeml@suse.de
- add libgcrypt-1.1.12-sexp-valgrind-error.patch from SLEC
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 - mmj@suse.de
- Use %%install_info macro [#23433]
* Mon Feb 10 2003 - mc@suse.de
- switch to version 1.1.12
- gcry_pk_sign, gcry_pk_verify and gcry_pk_encrypt can now handle an
  optional pkcs1 flags parameter in the S-expression.  A similar flag
  may be passed to gcry_pk_decrypt but it is only syntactically
  implemented.
- New convenience macro gcry_md_get_asnoid.
- There is now some real stuff in the manual.
- New algorithm: MD4
- Implemented ciphertext stealing.
- Support for plain old DES
- Smaller bugs fixes and a few new OIDs.
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Thu Aug 01 2002 - poeml@suse.de
- create package
